// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// *********************************************************************

#ifndef PROXY_SUPPLIER_H
#define PROXY_SUPPLIER_H

//
// Forward declarations.
//
class Event_impl;

//
// This class represents all ProxySuppliers.
//
class ProxySupplier_impl
{
public:
    virtual ~ProxySupplier_impl() { }

    virtual void receive(Event_impl*) = 0;

    virtual void disconnect() = 0;

    virtual void release() = 0;
};

#endif
